stages:
  - build

build-job:
  image: docker:20.10.16
  stage: build
  services:
    - docker:20.10.16-dind
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build -t registry.gitlab.com/dan.galimzianov/docker-ci-cd-deploy .
    - docker push registry.gitlab.com/dan.galimzianov/docker-ci-cd-deploy